/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Precioprograma;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface PrecioprogramaFacadeLocal {

    void create(Precioprograma precioprograma);

    void edit(Precioprograma precioprograma);

    void remove(Precioprograma precioprograma);

    Precioprograma find(Object id);

    List<Precioprograma> findAll();

    List<Precioprograma> findRange(int[] range);

    int count();

    List listaOferta(String productoCodigo, String programaCodigo);

    List<Precioprograma> listaPrecioPrograma(String productoCodigo, String programaCodigo);

    List<Precioprograma> ProductoPorPrograma(String programaCodigo);

    Precioprograma porOfertaCodigo(String productoCodigo, String programaCodigo);

}
